// _NibFinderLolfNomanclatureIC_EOArchive.java
// Generated by EnterpriseObjects palette at mardi 22 mai 2007 08 h 43 Europe/Paris

package org.cocktail.application.client.nibfinder;

import com.webobjects.eoapplication.*;
import com.webobjects.eocontrol.*;
import com.webobjects.eointerface.*;
import com.webobjects.eointerface.swing.*;
import com.webobjects.eointerface.swing.EOTable._EOTableColumn;
import com.webobjects.foundation.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.table.*;
import javax.swing.text.*;

public class _NibFinderLolfNomanclatureIC_EOArchive extends com.webobjects.eoapplication.EOArchive {
    com.webobjects.eocontrol.EODataSource _eoDataSource0, _eoDataSource1;
    com.webobjects.eocontrol.EOEditingContext _eoEditingContext0;
    com.webobjects.eointerface.EODisplayGroup _eoDisplayGroup0, _eoDisplayGroup1;
    com.webobjects.eointerface.EOPickTextAssociation _eoPickTextAssociation0, _eoPickTextAssociation1, _eoPickTextAssociation2, _eoPickTextAssociation3, _eoPickTextAssociation4, _eoPickTextAssociation5, _eoPickTextAssociation6, _eoPickTextAssociation7;
    com.webobjects.eointerface.EOTableAssociation _eoTableAssociation0, _eoTableAssociation1;
    com.webobjects.eointerface.EOTableColumnAssociation _eoTableColumnAssociation0, _eoTableColumnAssociation1, _eoTableColumnAssociation10, _eoTableColumnAssociation11, _eoTableColumnAssociation2, _eoTableColumnAssociation3, _eoTableColumnAssociation4, _eoTableColumnAssociation5, _eoTableColumnAssociation6, _eoTableColumnAssociation7, _eoTableColumnAssociation8, _eoTableColumnAssociation9;
    com.webobjects.eointerface.swing.EOFrame _eoFrame0;
    com.webobjects.eointerface.swing.EOTable _nsTableView0, _nsTableView1;
    com.webobjects.eointerface.swing.EOTable._EOTableColumn _eoTableColumn0, _eoTableColumn1, _eoTableColumn10, _eoTableColumn11, _eoTableColumn2, _eoTableColumn3, _eoTableColumn4, _eoTableColumn5, _eoTableColumn6, _eoTableColumn7, _eoTableColumn8, _eoTableColumn9;
    com.webobjects.eointerface.swing.EOTextField _nsSearchField0, _nsSearchField1, _nsSearchField2, _nsSearchField3, _nsSearchField4, _nsSearchField5, _nsSearchField6, _nsSearchField7, _nsTextField0, _nsTextField1, _nsTextField2, _nsTextField3, _nsTextField4, _nsTextField5, _nsTextField6, _nsTextField7;
    com.webobjects.eointerface.swing.EOView _nsView0, _nsView1;
    com.webobjects.foundation.NSNumberFormatter _nsNumberFormatter0, _nsNumberFormatter1;
    com.webobjects.foundation.NSTimestampFormatter _nsTimestampFormatter0, _nsTimestampFormatter1, _nsTimestampFormatter2, _nsTimestampFormatter3;
    javax.swing.JButton _nsButton0, _nsButton1;
    javax.swing.JPanel _nsView2;
    javax.swing.JTabbedPane _nsTabView0;

    public _NibFinderLolfNomanclatureIC_EOArchive(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _nsTextField7 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField1113");
        _nsTextField6 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField1112");
        _nsTextField5 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField1111");
        _nsTextField4 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField111");
        _nsView1 = (com.webobjects.eointerface.swing.EOView)_registered(new com.webobjects.eointerface.swing.EOView(), "NSView");
        _nsTextField3 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField1113");
        _nsTextField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField1112");
        _nsTextField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField1111");
        _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField111");
        _nsSearchField7 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _eoPickTextAssociation7 = (com.webobjects.eointerface.EOPickTextAssociation)_registered(new com.webobjects.eointerface.EOPickTextAssociation(_nsSearchField7), "");
        _nsSearchField6 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _eoPickTextAssociation6 = (com.webobjects.eointerface.EOPickTextAssociation)_registered(new com.webobjects.eointerface.EOPickTextAssociation(_nsSearchField6), "");
        _nsSearchField5 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _eoPickTextAssociation5 = (com.webobjects.eointerface.EOPickTextAssociation)_registered(new com.webobjects.eointerface.EOPickTextAssociation(_nsSearchField5), "");
        _nsSearchField4 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _eoPickTextAssociation4 = (com.webobjects.eointerface.EOPickTextAssociation)_registered(new com.webobjects.eointerface.EOPickTextAssociation(_nsSearchField4), "");
        _nsTimestampFormatter3 = (com.webobjects.foundation.NSTimestampFormatter)_registered(new com.webobjects.foundation.NSTimestampFormatter("%d/%m/%y"), "");
        _eoTableColumn11 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _nsTableView0 = (com.webobjects.eointerface.swing.EOTable)_registered(new com.webobjects.eointerface.swing.EOTable(), "");
        _eoTableColumnAssociation11 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn11, _nsTableView0), "");
        _nsNumberFormatter1 = (com.webobjects.foundation.NSNumberFormatter)_registered(new com.webobjects.foundation.NSNumberFormatter("0;-0"), "");
        _eoTableColumn10 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation10 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn10, _nsTableView0), "");
        _eoTableColumn9 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation9 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn9, _nsTableView0), "");
        _nsTimestampFormatter2 = (com.webobjects.foundation.NSTimestampFormatter)_registered(new com.webobjects.foundation.NSTimestampFormatter("%d/%m/%y"), "");
        _eoTableColumn8 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation8 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn8, _nsTableView0), "");
        _eoTableAssociation1 = (com.webobjects.eointerface.EOTableAssociation)_registered(new com.webobjects.eointerface.EOTableAssociation(_nsTableView0), "");
        _eoTableColumn7 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation7 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn7, _nsTableView0), "");
        _nsSearchField3 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _eoPickTextAssociation3 = (com.webobjects.eointerface.EOPickTextAssociation)_registered(new com.webobjects.eointerface.EOPickTextAssociation(_nsSearchField3), "");
        _nsSearchField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _eoPickTextAssociation2 = (com.webobjects.eointerface.EOPickTextAssociation)_registered(new com.webobjects.eointerface.EOPickTextAssociation(_nsSearchField2), "");
        _nsSearchField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _eoPickTextAssociation1 = (com.webobjects.eointerface.EOPickTextAssociation)_registered(new com.webobjects.eointerface.EOPickTextAssociation(_nsSearchField1), "");
        _nsSearchField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _eoPickTextAssociation0 = (com.webobjects.eointerface.EOPickTextAssociation)_registered(new com.webobjects.eointerface.EOPickTextAssociation(_nsSearchField0), "");
        _nsButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton("Valider"), "NSButton1");
        _nsButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("Annuler"), "NSButton");
        _nsTableView1 = (com.webobjects.eointerface.swing.EOTable)_registered(new com.webobjects.eointerface.swing.EOTable(), "");
        _eoTableAssociation0 = (com.webobjects.eointerface.EOTableAssociation)_registered(new com.webobjects.eointerface.EOTableAssociation(_nsTableView1), "");
        _nsTimestampFormatter1 = (com.webobjects.foundation.NSTimestampFormatter)_registered(new com.webobjects.foundation.NSTimestampFormatter("%d/%m/%y"), "");
        _eoTableColumn6 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation6 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn6, _nsTableView1), "");
        _nsTimestampFormatter0 = (com.webobjects.foundation.NSTimestampFormatter)_registered(new com.webobjects.foundation.NSTimestampFormatter("%d/%m/%y"), "");
        _eoTableColumn5 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation5 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn5, _nsTableView1), "");
        _nsNumberFormatter0 = (com.webobjects.foundation.NSNumberFormatter)_registered(new com.webobjects.foundation.NSNumberFormatter("0;-0"), "");
        _eoTableColumn4 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation4 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn4, _nsTableView1), "");
        _eoTableColumn3 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation3 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn3, _nsTableView1), "");
        _eoTableColumn2 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation2 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn2, _nsTableView1), "");
        _eoTableColumn1 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation1 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn1, _nsTableView1), "");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "dgLolfRec")) != null)) {
            _eoDisplayGroup1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.EODisplayGroup)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoDisplayGroup1");
        } else {
            _eoDisplayGroup1 = (com.webobjects.eointerface.EODisplayGroup)_registered(new com.webobjects.eointerface.EODisplayGroup(), "ca_LolfNomenclatureRecette");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "editingContext")) != null)) {
            _eoEditingContext0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eocontrol.EOEditingContext)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoEditingContext0");
        } else {
            _eoEditingContext0 = ((com.webobjects.eocontrol.EOEditingContext.substitutionEditingContext() != null) ? com.webobjects.eocontrol.EOEditingContext.substitutionEditingContext() : (com.webobjects.eocontrol.EOEditingContext)_registered(new com.webobjects.eocontrol.EOEditingContext(), "EditingContext"));
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "dgLolfRec.dataSource")) != null)) {
            _eoDataSource1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eocontrol.EODataSource)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoDataSource1");
        } else {
            _eoDataSource1 = (com.webobjects.eocontrol.EODataSource)_registered(com.webobjects.eoapplication.EODataSourceFactory.defaultDataSourceFactory().newMasterDataSource(_eoEditingContext0, "ca_LolfNomenclatureRecette", null), "DataSource");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "dgLolfDep.dataSource")) != null)) {
            _eoDataSource0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eocontrol.EODataSource)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoDataSource0");
        } else {
            _eoDataSource0 = (com.webobjects.eocontrol.EODataSource)_registered(com.webobjects.eoapplication.EODataSourceFactory.defaultDataSourceFactory().newMasterDataSource(_eoEditingContext0, "ca_LolfNomenclatureDepense", null), "DataSource");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "dgLolfDep")) != null)) {
            _eoDisplayGroup0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.EODisplayGroup)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoDisplayGroup0");
        } else {
            _eoDisplayGroup0 = (com.webobjects.eointerface.EODisplayGroup)_registered(new com.webobjects.eointerface.EODisplayGroup(), "ca_LolfNomenclatureDepense");
        }

        _eoTableColumn0 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation0 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn0, _nsTableView0), "");
        _nsView0 = (com.webobjects.eointerface.swing.EOView)_registered(new com.webobjects.eointerface.swing.EOView(), "NSView");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "tabbedPane")) != null)) {
            _nsTabView0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JTabbedPane)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTabView0");
        } else {
            _nsTabView0 = (javax.swing.JTabbedPane)_registered(new javax.swing.JTabbedPane(), "NSTabView");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "component")) != null)) {
            _eoFrame0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOFrame)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoFrame0");
        } else {
            _eoFrame0 = (com.webobjects.eointerface.swing.EOFrame)_registered(new com.webobjects.eointerface.swing.EOFrame(), "MainWindow");
        }

        _nsView2 = (JPanel)_eoFrame0.getContentPane();
    }

    protected void _awaken() {
        super._awaken();
        _nsButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "valider", _nsButton1), ""));
        _nsButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "annuler", _nsButton0), ""));

        if (_replacedObjects.objectForKey("_eoEditingContext0") == null) {
            _connect(_owner(), _eoEditingContext0, "editingContext");
        }

        if (_replacedObjects.objectForKey("_nsTabView0") == null) {
            _connect(_owner(), _nsTabView0, "tabbedPane");
        }

        if (_replacedObjects.objectForKey("_eoDisplayGroup0") == null) {
            _connect(_owner(), _eoDisplayGroup0, "dgLolfDep");
        }

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _connect(_owner(), _eoFrame0, "component");
        }

        if (_replacedObjects.objectForKey("_eoDisplayGroup1") == null) {
            _connect(_owner(), _eoDisplayGroup1, "dgLolfRec");
        }
    }

    protected void _init() {
        super._init();
        _setFontForComponent(_nsTextField7, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField7.setEditable(false);
        _nsTextField7.setOpaque(false);
        _nsTextField7.setText("Niveau :");
        _nsTextField7.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField7.setSelectable(false);
        _nsTextField7.setEnabled(true);
        _nsTextField7.setBorder(null);
        _setFontForComponent(_nsTextField6, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField6.setEditable(false);
        _nsTextField6.setOpaque(false);
        _nsTextField6.setText("Libell\u00e9 :");
        _nsTextField6.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField6.setSelectable(false);
        _nsTextField6.setEnabled(true);
        _nsTextField6.setBorder(null);
        _setFontForComponent(_nsTextField5, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField5.setEditable(false);
        _nsTextField5.setOpaque(false);
        _nsTextField5.setText("Abreviation:");
        _nsTextField5.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField5.setSelectable(false);
        _nsTextField5.setEnabled(true);
        _nsTextField5.setBorder(null);
        _setFontForComponent(_nsTextField4, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField4.setEditable(false);
        _nsTextField4.setOpaque(false);
        _nsTextField4.setText("Code:");
        _nsTextField4.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField4.setSelectable(false);
        _nsTextField4.setEnabled(true);
        _nsTextField4.setBorder(null);
        if (!(_nsView1.getLayout() instanceof EOViewLayout)) { _nsView1.setLayout(new EOViewLayout()); }
        _nsTableView1.setSize(554, 259);
        _nsTableView1.setLocation(20, 57);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsTableView1, EOViewLayout.MinYMargin);
        _nsView1.add(_nsTableView1);
        _nsSearchField0.setSize(60, 22);
        _nsSearchField0.setLocation(21, 27);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsSearchField0, EOViewLayout.MinYMargin);
        _nsView1.add(_nsSearchField0);
        _nsSearchField1.setSize(83, 22);
        _nsSearchField1.setLocation(89, 27);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsSearchField1, EOViewLayout.MinYMargin);
        _nsView1.add(_nsSearchField1);
        _nsSearchField2.setSize(167, 22);
        _nsSearchField2.setLocation(180, 27);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsSearchField2, EOViewLayout.MinYMargin);
        _nsView1.add(_nsSearchField2);
        _nsSearchField3.setSize(51, 22);
        _nsSearchField3.setLocation(355, 27);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsSearchField3, EOViewLayout.MinYMargin);
        _nsView1.add(_nsSearchField3);
        _nsTextField4.setSize(52, 11);
        _nsTextField4.setLocation(18, 13);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsTextField4, EOViewLayout.MinYMargin);
        _nsView1.add(_nsTextField4);
        _nsTextField5.setSize(72, 11);
        _nsTextField5.setLocation(86, 13);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsTextField5, EOViewLayout.MinYMargin);
        _nsView1.add(_nsTextField5);
        _nsTextField6.setSize(101, 11);
        _nsTextField6.setLocation(177, 13);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsTextField6, EOViewLayout.MinYMargin);
        _nsView1.add(_nsTextField6);
        _nsTextField7.setSize(101, 11);
        _nsTextField7.setLocation(352, 13);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsTextField7, EOViewLayout.MinYMargin);
        _nsView1.add(_nsTextField7);
        _setFontForComponent(_nsTextField3, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField3.setEditable(false);
        _nsTextField3.setOpaque(false);
        _nsTextField3.setText("Niveau :");
        _nsTextField3.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField3.setSelectable(false);
        _nsTextField3.setEnabled(true);
        _nsTextField3.setBorder(null);
        _setFontForComponent(_nsTextField2, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField2.setEditable(false);
        _nsTextField2.setOpaque(false);
        _nsTextField2.setText("Libell\u00e9 :");
        _nsTextField2.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField2.setSelectable(false);
        _nsTextField2.setEnabled(true);
        _nsTextField2.setBorder(null);
        _setFontForComponent(_nsTextField1, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField1.setEditable(false);
        _nsTextField1.setOpaque(false);
        _nsTextField1.setText("Abreviation:");
        _nsTextField1.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField1.setSelectable(false);
        _nsTextField1.setEnabled(true);
        _nsTextField1.setBorder(null);
        _setFontForComponent(_nsTextField0, "Lucida Grande", 9, Font.PLAIN);
        _nsTextField0.setEditable(false);
        _nsTextField0.setOpaque(false);
        _nsTextField0.setText("Code:");
        _nsTextField0.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField0.setSelectable(false);
        _nsTextField0.setEnabled(true);
        _nsTextField0.setBorder(null);
        _setFontForComponent(_nsSearchField7, "Lucida Grande", 13, Font.PLAIN);
        _nsSearchField7.setEditable(true);
        _nsSearchField7.setOpaque(true);
        _nsSearchField7.setText("");
        _nsSearchField7.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsSearchField7.setSelectable(true);
        _nsSearchField7.setEnabled(true);
        _eoPickTextAssociation7.bindAspect(com.webobjects.eointerface.EOAssociation.MatchKey1Aspect, _eoDisplayGroup0, "lolfLibelle");
        _eoPickTextAssociation7.establishConnection();
        _setFontForComponent(_nsSearchField6, "Lucida Grande", 13, Font.PLAIN);
        _nsSearchField6.setEditable(true);
        _nsSearchField6.setOpaque(true);
        _nsSearchField6.setText("");
        _nsSearchField6.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsSearchField6.setSelectable(true);
        _nsSearchField6.setEnabled(true);
        _eoPickTextAssociation6.bindAspect(com.webobjects.eointerface.EOAssociation.MatchKey1Aspect, _eoDisplayGroup0, "lolfNiveau");
        _eoPickTextAssociation6.establishConnection();
        _setFontForComponent(_nsSearchField5, "Lucida Grande", 13, Font.PLAIN);
        _nsSearchField5.setEditable(true);
        _nsSearchField5.setOpaque(true);
        _nsSearchField5.setText("");
        _nsSearchField5.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsSearchField5.setSelectable(true);
        _nsSearchField5.setEnabled(true);
        _eoPickTextAssociation5.bindAspect(com.webobjects.eointerface.EOAssociation.MatchKey1Aspect, _eoDisplayGroup0, "lolfAbreviation");
        _eoPickTextAssociation5.establishConnection();
        _setFontForComponent(_nsSearchField4, "Lucida Grande", 13, Font.PLAIN);
        _nsSearchField4.setEditable(true);
        _nsSearchField4.setOpaque(true);
        _nsSearchField4.setText("");
        _nsSearchField4.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsSearchField4.setSelectable(true);
        _nsSearchField4.setEnabled(true);
        _eoPickTextAssociation4.bindAspect(com.webobjects.eointerface.EOAssociation.MatchKey1Aspect, _eoDisplayGroup0, "lolfCode");
        _eoPickTextAssociation4.establishConnection();
        _eoTableColumn11.setMinWidth(80);
        _eoTableColumn11.setMaxWidth(1000);
        _eoTableColumn11.setPreferredWidth(82);
        _eoTableColumn11.setWidth(82);
        _eoTableColumn11.setResizable(true);
        _eoTableColumn11.setHeaderValue("Ouverture");
        if ((_eoTableColumn11.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn11.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation11.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup0, "lolfOuverture");
        if (_eoTableColumnAssociation11.canSupportValueFormatter()) { _eoTableColumnAssociation11.setValueFormatter(_nsTimestampFormatter3); }
        _eoTableColumnAssociation11.establishConnection();
        _nsNumberFormatter1.setLocalizesPattern(true);
        _eoTableColumn10.setMinWidth(10);
        _eoTableColumn10.setMaxWidth(1000);
        _eoTableColumn10.setPreferredWidth(51);
        _eoTableColumn10.setWidth(51);
        _eoTableColumn10.setResizable(true);
        _eoTableColumn10.setHeaderValue("Niveau");
        if ((_eoTableColumn10.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn10.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation10.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup0, "lolfNiveau");
        if (_eoTableColumnAssociation10.canSupportValueFormatter()) { _eoTableColumnAssociation10.setValueFormatter(_nsNumberFormatter1); }
        _eoTableColumnAssociation10.establishConnection();
        _eoTableColumn9.setMinWidth(10);
        _eoTableColumn9.setMaxWidth(1000);
        _eoTableColumn9.setPreferredWidth(174);
        _eoTableColumn9.setWidth(174);
        _eoTableColumn9.setResizable(true);
        _eoTableColumn9.setHeaderValue("Libelle");
        if ((_eoTableColumn9.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn9.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation9.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup0, "lolfLibelle");
        _eoTableColumnAssociation9.establishConnection();
        _eoTableColumn8.setMinWidth(58);
        _eoTableColumn8.setMaxWidth(1000);
        _eoTableColumn8.setPreferredWidth(58);
        _eoTableColumn8.setWidth(58);
        _eoTableColumn8.setResizable(true);
        _eoTableColumn8.setHeaderValue("Fermeture");
        if ((_eoTableColumn8.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn8.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation8.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup0, "lolfFermeture");
        if (_eoTableColumnAssociation8.canSupportValueFormatter()) { _eoTableColumnAssociation8.setValueFormatter(_nsTimestampFormatter2); }
        _eoTableColumnAssociation8.establishConnection();
        _eoTableAssociation1.bindAspect(com.webobjects.eointerface.EOAssociation.SourceAspect, _eoDisplayGroup0, "");
        _eoTableAssociation1.setSortsByColumnOrder(true);
        _eoTableAssociation1.establishConnection();
        _eoTableColumn7.setMinWidth(10);
        _eoTableColumn7.setMaxWidth(1000);
        _eoTableColumn7.setPreferredWidth(89);
        _eoTableColumn7.setWidth(89);
        _eoTableColumn7.setResizable(true);
        _eoTableColumn7.setHeaderValue("Abreviation");
        if ((_eoTableColumn7.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn7.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation7.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup0, "lolfAbreviation");
        _eoTableColumnAssociation7.establishConnection();
        _setFontForComponent(_nsSearchField3, "Lucida Grande", 13, Font.PLAIN);
        _nsSearchField3.setEditable(true);
        _nsSearchField3.setOpaque(true);
        _nsSearchField3.setText("");
        _nsSearchField3.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsSearchField3.setSelectable(true);
        _nsSearchField3.setEnabled(true);
        _eoPickTextAssociation3.bindAspect(com.webobjects.eointerface.EOAssociation.MatchKey1Aspect, _eoDisplayGroup1, "lolfNiveau");
        _eoPickTextAssociation3.establishConnection();
        _setFontForComponent(_nsSearchField2, "Lucida Grande", 13, Font.PLAIN);
        _nsSearchField2.setEditable(true);
        _nsSearchField2.setOpaque(true);
        _nsSearchField2.setText("");
        _nsSearchField2.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsSearchField2.setSelectable(true);
        _nsSearchField2.setEnabled(true);
        _eoPickTextAssociation2.bindAspect(com.webobjects.eointerface.EOAssociation.MatchKey1Aspect, _eoDisplayGroup1, "lolfLibelle");
        _eoPickTextAssociation2.establishConnection();
        _setFontForComponent(_nsSearchField1, "Lucida Grande", 13, Font.PLAIN);
        _nsSearchField1.setEditable(true);
        _nsSearchField1.setOpaque(true);
        _nsSearchField1.setText("");
        _nsSearchField1.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsSearchField1.setSelectable(true);
        _nsSearchField1.setEnabled(true);
        _eoPickTextAssociation1.bindAspect(com.webobjects.eointerface.EOAssociation.MatchKey1Aspect, _eoDisplayGroup1, "lolfAbreviation");
        _eoPickTextAssociation1.establishConnection();
        _setFontForComponent(_nsSearchField0, "Lucida Grande", 13, Font.PLAIN);
        _nsSearchField0.setEditable(true);
        _nsSearchField0.setOpaque(true);
        _nsSearchField0.setText("");
        _nsSearchField0.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsSearchField0.setSelectable(true);
        _nsSearchField0.setEnabled(true);
        _eoPickTextAssociation0.bindAspect(com.webobjects.eointerface.EOAssociation.MatchKey1Aspect, _eoDisplayGroup1, "lolfCode");
        _eoPickTextAssociation0.establishConnection();
        _setFontForComponent(_nsButton1, "Lucida Grande", 13, Font.PLAIN);
        _nsButton1.setMargin(new Insets(0, 2, 0, 2));
        _setFontForComponent(_nsButton0, "Lucida Grande", 13, Font.PLAIN);
        _nsButton0.setMargin(new Insets(0, 2, 0, 2));
        _eoTableAssociation0.bindAspect(com.webobjects.eointerface.EOAssociation.SourceAspect, _eoDisplayGroup1, "");
        _eoTableAssociation0.setSortsByColumnOrder(true);
        _eoTableAssociation0.establishConnection();
        _eoTableColumnAssociation6.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup1, "lolfFermeture");
        if (_eoTableColumnAssociation6.canSupportValueFormatter()) { _eoTableColumnAssociation6.setValueFormatter(_nsTimestampFormatter1); }
        _eoTableColumnAssociation6.establishConnection();
        _eoTableColumn6.setMinWidth(58);
        _eoTableColumn6.setMaxWidth(1000);
        _eoTableColumn6.setPreferredWidth(59);
        _eoTableColumn6.setWidth(59);
        _eoTableColumn6.setResizable(true);
        _eoTableColumn6.setHeaderValue("Fermeture");
        if ((_eoTableColumn6.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn6.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation5.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup1, "lolfOuverture");
        if (_eoTableColumnAssociation5.canSupportValueFormatter()) { _eoTableColumnAssociation5.setValueFormatter(_nsTimestampFormatter0); }
        _eoTableColumnAssociation5.establishConnection();
        _eoTableColumn5.setMinWidth(10);
        _eoTableColumn5.setMaxWidth(1000);
        _eoTableColumn5.setPreferredWidth(82);
        _eoTableColumn5.setWidth(82);
        _eoTableColumn5.setResizable(true);
        _eoTableColumn5.setHeaderValue("Ouverture");
        if ((_eoTableColumn5.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn5.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _nsNumberFormatter0.setLocalizesPattern(true);
        _eoTableColumnAssociation4.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup1, "lolfNiveau");
        if (_eoTableColumnAssociation4.canSupportValueFormatter()) { _eoTableColumnAssociation4.setValueFormatter(_nsNumberFormatter0); }
        _eoTableColumnAssociation4.establishConnection();
        _eoTableColumn4.setMinWidth(10);
        _eoTableColumn4.setMaxWidth(1000);
        _eoTableColumn4.setPreferredWidth(51);
        _eoTableColumn4.setWidth(51);
        _eoTableColumn4.setResizable(true);
        _eoTableColumn4.setHeaderValue("Niveau");
        if ((_eoTableColumn4.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn4.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation3.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup1, "lolfLibelle");
        _eoTableColumnAssociation3.establishConnection();
        _eoTableColumn3.setMinWidth(10);
        _eoTableColumn3.setMaxWidth(1000);
        _eoTableColumn3.setPreferredWidth(174);
        _eoTableColumn3.setWidth(174);
        _eoTableColumn3.setResizable(true);
        _eoTableColumn3.setHeaderValue("Libelle");
        if ((_eoTableColumn3.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn3.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation2.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup1, "lolfCode");
        _eoTableColumnAssociation2.establishConnection();
        _eoTableColumn2.setMinWidth(10);
        _eoTableColumn2.setMaxWidth(1000);
        _eoTableColumn2.setPreferredWidth(63);
        _eoTableColumn2.setWidth(63);
        _eoTableColumn2.setResizable(true);
        _eoTableColumn2.setHeaderValue("Code");
        if ((_eoTableColumn2.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn2.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _nsTableView1.table().addColumn(_eoTableColumn2);
        _nsTableView1.table().addColumn(_eoTableColumn1);
        _nsTableView1.table().addColumn(_eoTableColumn3);
        _nsTableView1.table().addColumn(_eoTableColumn4);
        _nsTableView1.table().addColumn(_eoTableColumn5);
        _nsTableView1.table().addColumn(_eoTableColumn6);
        _setFontForComponent(_nsTableView1.table().getTableHeader(), "Lucida Grande", 11, Font.PLAIN);
        _nsTableView1.table().setRowHeight(19);
        _eoTableColumn1.setMinWidth(10);
        _eoTableColumn1.setMaxWidth(1000);
        _eoTableColumn1.setPreferredWidth(89);
        _eoTableColumn1.setWidth(89);
        _eoTableColumn1.setResizable(true);
        _eoTableColumn1.setHeaderValue("Abreviation");
        if ((_eoTableColumn1.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn1.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation1.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup1, "lolfAbreviation");
        _eoTableColumnAssociation1.establishConnection();

        if (_replacedObjects.objectForKey("_eoDisplayGroup1") == null) {
            _eoDisplayGroup1.setValidatesChangesImmediately(false);
            _eoDisplayGroup1.setFetchesOnLoad(true);
            _eoDisplayGroup1.setUsesOptimisticRefresh(false);
            _eoDisplayGroup1.setSelectsFirstObjectAfterFetch(true);
        }

        if (_replacedObjects.objectForKey("_eoDisplayGroup1") == null) {
            _connect(_eoDisplayGroup1, _eoDataSource1, "dataSource");
        }

        if (_replacedObjects.objectForKey("_eoDataSource1") == null) {
            _connect(_eoDataSource1, _eoEditingContext0, "editingContext");
        }

        if (_replacedObjects.objectForKey("_eoDataSource0") == null) {
            _connect(_eoDataSource0, _eoEditingContext0, "editingContext");
        }

        if (_replacedObjects.objectForKey("_eoDisplayGroup0") == null) {
            _connect(_eoDisplayGroup0, _eoDataSource0, "dataSource");
        }

        if (_replacedObjects.objectForKey("_eoDisplayGroup0") == null) {
            _eoDisplayGroup0.setValidatesChangesImmediately(false);
            _eoDisplayGroup0.setFetchesOnLoad(true);
            _eoDisplayGroup0.setUsesOptimisticRefresh(false);
            _eoDisplayGroup0.setSelectsFirstObjectAfterFetch(true);
        }

        _eoTableColumnAssociation0.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup0, "lolfCode");
        _eoTableColumnAssociation0.establishConnection();
        _eoTableColumn0.setMinWidth(10);
        _eoTableColumn0.setMaxWidth(1000);
        _eoTableColumn0.setPreferredWidth(63);
        _eoTableColumn0.setWidth(63);
        _eoTableColumn0.setResizable(true);
        _eoTableColumn0.setHeaderValue("Code");
        if ((_eoTableColumn0.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn0.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _nsTableView0.table().addColumn(_eoTableColumn0);
        _nsTableView0.table().addColumn(_eoTableColumn7);
        _nsTableView0.table().addColumn(_eoTableColumn9);
        _nsTableView0.table().addColumn(_eoTableColumn10);
        _nsTableView0.table().addColumn(_eoTableColumn11);
        _nsTableView0.table().addColumn(_eoTableColumn8);
        _setFontForComponent(_nsTableView0.table().getTableHeader(), "Lucida Grande", 11, Font.PLAIN);
        _nsTableView0.table().setRowHeight(19);
        if (!(_nsView0.getLayout() instanceof EOViewLayout)) { _nsView0.setLayout(new EOViewLayout()); }
        _nsTableView0.setSize(554, 259);
        _nsTableView0.setLocation(20, 57);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTableView0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTableView0);
        _nsSearchField4.setSize(60, 22);
        _nsSearchField4.setLocation(21, 27);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsSearchField4, EOViewLayout.MinYMargin);
        _nsView0.add(_nsSearchField4);
        _nsSearchField5.setSize(83, 22);
        _nsSearchField5.setLocation(89, 27);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsSearchField5, EOViewLayout.MinYMargin);
        _nsView0.add(_nsSearchField5);
        _nsSearchField7.setSize(167, 22);
        _nsSearchField7.setLocation(180, 27);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsSearchField7, EOViewLayout.MinYMargin);
        _nsView0.add(_nsSearchField7);
        _nsSearchField6.setSize(51, 22);
        _nsSearchField6.setLocation(355, 27);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsSearchField6, EOViewLayout.MinYMargin);
        _nsView0.add(_nsSearchField6);
        _nsTextField0.setSize(52, 11);
        _nsTextField0.setLocation(18, 13);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField0);
        _nsTextField1.setSize(72, 11);
        _nsTextField1.setLocation(86, 13);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField1, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField1);
        _nsTextField2.setSize(101, 11);
        _nsTextField2.setLocation(177, 13);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField2, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField2);
        _nsTextField3.setSize(101, 11);
        _nsTextField3.setLocation(352, 13);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField3, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField3);

        if (_replacedObjects.objectForKey("_nsTabView0") == null) {
            _nsTabView0.addTab("Lolf Nomenclature Depense", _nsView0);
            _nsTabView0.addTab("Lolf Nomenclature Recette", _nsView1);
        }

        if (!(_nsView2.getLayout() instanceof EOViewLayout)) { _nsView2.setLayout(new EOViewLayout()); }
        _nsTabView0.setSize(604, 386);
        _nsTabView0.setLocation(11, 25);
        ((EOViewLayout)_nsView2.getLayout()).setAutosizingMask(_nsTabView0, EOViewLayout.MinYMargin);
        _nsView2.add(_nsTabView0);
        _nsButton0.setSize(75, 26);
        _nsButton0.setLocation(398, 432);
        ((EOViewLayout)_nsView2.getLayout()).setAutosizingMask(_nsButton0, EOViewLayout.MinYMargin);
        _nsView2.add(_nsButton0);
        _nsButton1.setSize(75, 26);
        _nsButton1.setLocation(516, 432);
        ((EOViewLayout)_nsView2.getLayout()).setAutosizingMask(_nsButton1, EOViewLayout.MinYMargin);
        _nsView2.add(_nsButton1);

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _nsView2.setSize(626, 468);
            _eoFrame0.setTitle("Window");
            _eoFrame0.setLocation(484, 416);
            _eoFrame0.setSize(626, 468);
        }
    }
}
